POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-09-25T21:08:46.7197212+00:00",
"active": true,
"department_item_id": "291d1143-e857-4edf-846c-45586081ad17",
"id": "7e9bfc06-cef5-4989-b020-c9f33f6d3c46",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-09-25T21:08:46.7197212+00:00</date> <department_item_id>291d1143-e857-4edf-846c-45586081ad17</department_item_id> <id>7e9bfc06-cef5-4989-b020-c9f33f6d3c46</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"468d29af-d4be-45a6-8288-7e7b08536cf9"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">468d29af-d4be-45a6-8288-7e7b08536cf9</guid>